Name:		flrig
Version:	1.3.53
Release:	%mkrel 1
Summary:	Transceiver control program for Amateur Radio use
License:	GPLv2+
Group:		Communications/Radio
URL:		http://www.w1hkj.com/flrig-help/
Source0:	https://sourceforge.net/projects/fldigi/files/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	fltk-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xmlrpc)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)

%description
Flrig is a transceiver control program designed to be used either stand
alone or as an adjunct to fldigi. The user interface changes to accommodate
the degree of CAT support available for the transceiver in use.
The back end control code for each transceiver is unique to flrig.
No additional libraries or definition files are required.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Wed Dec 09 2020 daviddavid <daviddavid> 1.3.53-1.mga8
+ Revision: 1654786
- new version: 1.3.53

* Sun Nov 08 2020 daviddavid <daviddavid> 1.3.52-1.mga8
+ Revision: 1643821
- new version: 1.3.52

* Fri Jul 03 2020 daviddavid <daviddavid> 1.3.51-1.mga8
+ Revision: 1601512
- new version: 1.3.51

* Thu Apr 02 2020 daviddavid <daviddavid> 1.3.50-1.mga8
+ Revision: 1563942
- new version: 1.3.50
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 19 2020 umeabot <umeabot> 1.3.49-2.mga8
+ Revision: 1543500
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 daviddavid <daviddavid> 1.3.49-1.mga8
+ Revision: 1481797
- new version: 1.3.49
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Aug 19 2019 daviddavid <daviddavid> 1.3.48-1.mga8
+ Revision: 1429919
- new version: 1.3.48

* Wed Jul 24 2019 daviddavid <daviddavid> 1.3.46-1.mga8
+ Revision: 1423660
- new version: 1.3.46

* Sat Jun 29 2019 daviddavid <daviddavid> 1.3.45-1.mga8
+ Revision: 1415858
- new version: 1.3.45

* Thu May 16 2019 daviddavid <daviddavid> 1.3.44-1.mga7
+ Revision: 1397927
- new version: 1.3.44

* Sun Apr 14 2019 daviddavid <daviddavid> 1.3.43-1.mga7
+ Revision: 1390073
- new version: 1.2.43

* Sun Feb 03 2019 daviddavid <daviddavid> 1.3.42-1.mga7
+ Revision: 1362820
- new version: 1.3.42

* Wed Dec 05 2018 daviddavid <daviddavid> 1.3.41-1.mga7
+ Revision: 1338413
- new version: 1.3.41

* Sun Sep 23 2018 umeabot <umeabot> 1.3.40-2.mga7
+ Revision: 1297728
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 daviddavid <daviddavid> 1.3.40-1.mga7
+ Revision: 1252509
- new version: 1.3.40

* Sun Feb 11 2018 daviddavid <daviddavid> 1.3.39-1.mga7
+ Revision: 1200339
- new version: 1.3.39

* Sun Jan 21 2018 daviddavid <daviddavid> 1.3.38-1.mga7
+ Revision: 1195313
- new version: 1.3.38

* Sat Dec 30 2017 daviddavid <daviddavid> 1.3.37-1.mga7
+ Revision: 1187543
- new version: 1.3.37

* Fri Nov 03 2017 daviddavid <daviddavid> 1.3.36-1.mga7
+ Revision: 1175645
- new version: 1.3.36

* Wed Oct 04 2017 daviddavid <daviddavid> 1.3.35-1.mga7
+ Revision: 1168139
- new version: 1.3.35

* Tue Sep 12 2017 daviddavid <daviddavid> 1.3.34-1.mga7
+ Revision: 1153195
- new version: 1.3.34

* Sun Jul 23 2017 daviddavid <daviddavid> 1.3.33-1.mga7
+ Revision: 1128970
- new version; 1.3.33

* Wed Jul 19 2017 daviddavid <daviddavid> 1.3.32-1.mga7
+ Revision: 1125092
- new version: 1.3.32

* Sun Jan 22 2017 daviddavid <daviddavid> 1.3.28-1.mga6
+ Revision: 1083053
- new version: 1.3.28

* Fri Nov 25 2016 daviddavid <daviddavid> 1.3.27-1.mga6
+ Revision: 1070114
- new version: 1.3.27

* Mon Jun 27 2016 daviddavid <daviddavid> 1.3.26-1.mga6
+ Revision: 1037762
- new version: 1.3.26

* Wed Apr 13 2016 daviddavid <daviddavid> 1.3.25-1.mga6
+ Revision: 1000921
- new version: 1.3.25

* Fri Jan 22 2016 daviddavid <daviddavid> 1.3.24-1.mga6
+ Revision: 926472
- new version: 1.3.24

* Sat Dec 05 2015 daviddavid <daviddavid> 1.3.23-1.mga6
+ Revision: 908327
- new version: 1.3.23

* Sun Aug 16 2015 fwang <fwang> 1.3.22-2.mga6
+ Revision: 865083
- rebuild for new fltk

* Tue Jul 28 2015 daviddavid <daviddavid> 1.3.22-1.mga6
+ Revision: 858536
- new version: 1.3.22
- update URL
- fix License
- switch BuildRequires to pkgconfig()
- add docs files

* Wed Oct 15 2014 umeabot <umeabot> 1.3.16-3.mga5
+ Revision: 739950
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.16-2.mga5
+ Revision: 679240
- Mageia 5 Mass Rebuild

* Sun Jun 15 2014 sander85 <sander85> 1.3.16-1.mga5
+ Revision: 636548
- New version: 1.3.16

* Sat Oct 19 2013 umeabot <umeabot> 1.3.12-2.mga4
+ Revision: 525678
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 sander85 <sander85> 1.3.12-1.mga4
+ Revision: 434112
- New version: 1.3.12

* Sat Jun 01 2013 sander85 <sander85> 1.3.09-2.mga4
+ Revision: 434111
- Fix URL

* Fri Jan 11 2013 umeabot <umeabot> 1.3.09-2.mga3
+ Revision: 350561
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 1.3.09-1.mga3
+ Revision: 330366
- New version 1.3.09

* Wed Oct 03 2012 malo <malo> 1.3.08-3.mga3
+ Revision: 302319
- fix description

* Wed Oct 03 2012 malo <malo> 1.3.08-2.mga3
+ Revision: 302267
- update RPM group

* Tue Sep 04 2012 fedya <fedya> 1.3.08-1.mga3
+ Revision: 288250
- version updat 1.3.08

* Thu Aug 16 2012 fedya <fedya> 1.3.07-1.mga3
+ Revision: 281661
- License GPL+
- BuildReq line too long fix
- rpmlint warning
- imported package flrig

